## Index

### Variables

- _getResProxy
- defMap
- entityMap
- prefabID
- skipKeys

### Functions

- cleanEntity
- getDefByName
- getLink
- injectBaseType
- injectComponent
- injectComponentProperties
- injectComponents
- injectEvent
- injectObject
- injectProperties
- instantiate
- instantiateComponent
- instantiateComponents
- instantiateConfig
- registerDef
- setGetResProxy
- setupComponent
- setupEntity
- setupScene
- transPrefabUUID

## Variables

### Let _getResProxy

_getResProxy: Function

- Defined in core/interpreter.ts:14

### Const defMap

defMap: object

- Defined in core/interpreter.ts:11

#### Type declaration

### Let entityMap

entityMap: object

- Defined in core/interpreter.ts:12

#### Type declaration

### Let prefabID

prefabID: number = 0

- Defined in core/interpreter.ts:13

### Const skipKeys

skipKeys: string[] = ['_type_', '_constructor_']

- Defined in core/interpreter.ts:245

## Functions

### cleanEntity

- cleanEntity(entity: Entity ): void

- - Defined in core/interpreter.ts:46

  清空实体

  #### Parameters

  - ##### entity: Entity

  #### Returns void

### getDefByName

- getDefByName(name: string, showWarn?: boolean): any

- - Defined in core/interpreter.ts:230

  根据名称获取定义

  #### Parameters

  - ##### name: string

  - ##### Default value showWarn: boolean = true

  #### Returns any

### getLink

- getLink(str: string, pid?: number): any

- - Defined in core/interpreter.ts:335

  #### Parameters

  - ##### str: string

  - ##### Optional pid: number

  #### Returns any

### injectBaseType

- injectBaseType(node: any, key: any, propertyOfConfig: any, pid?: number): void

- - Defined in core/interpreter.ts:303

  #### Parameters

  - ##### node: any

  - ##### key: any

  - ##### propertyOfConfig: any

  - ##### Optional pid: number

  #### Returns void

### injectComponent

- injectComponent(config: any, root: Entity, includeSelf?: boolean, pid?: number): void

- - Defined in core/interpreter.ts:144

  注入组件参数

  #### Parameters

  - ##### config: any

  - ##### root: Entity

  - ##### Default value includeSelf: boolean = false

  - ##### Optional pid: number

  #### Returns void

### injectComponentProperties

- injectComponentProperties(component: any, config: any, pid?: number): void

- - Defined in core/interpreter.ts:196

  注入组件属性

  #### Parameters

  - ##### component: any

  - ##### config: any

  - ##### Optional pid: number

  #### Returns void

### injectComponents

- injectComponents(entity: Entity, config: any, pid?: number): void

- - Defined in core/interpreter.ts:179

  注入组件列表参数

  #### Parameters

  - ##### entity: Entity

  - ##### config: any

  - ##### Optional pid: number

  #### Returns void

### injectEvent

- injectEvent(event: ScillaEvent, config: any, pid?: any): void

- - Defined in core/interpreter.ts:318

  #### Parameters

  - ##### event: ScillaEvent

  - ##### config: any

  - ##### Optional pid: any

  #### Returns void

### injectObject

- injectObject(propertyOfInstance: any, propertyOfConfig: any, pid?: number): any

- - Defined in core/interpreter.ts:283

  #### Parameters

  - ##### propertyOfInstance: any

  - ##### propertyOfConfig: any

  - ##### Optional pid: number

  #### Returns any

### injectProperties

- injectProperties(node: any, propertiesConfig: any, pid?: number): void

- - Defined in core/interpreter.ts:253

  属性注入

  #### Parameters

  - ##### node: any

  - ##### propertiesConfig: any

  - ##### Optional pid: number

  #### Returns void

### instantiate

- instantiate(config: any): Entity

- - Defined in core/interpreter.ts:55

  装配预制体

  #### Parameters

  - ##### config: any

  #### Returns Entity

### instantiateComponent

- instantiateComponent(entity: Entity, config: any): any

- - Defined in core/interpreter.ts:209

  实例化组件

  #### Parameters

  - ##### entity: Entity

  - ##### config: any

  #### Returns any

### instantiateComponents

- instantiateComponents(entity: Entity, config: any): void

- - Defined in core/interpreter.ts:165

  实例化组件列表

  #### Parameters

  - ##### entity: Entity

  - ##### config: any

  #### Returns void

### instantiateConfig

- instantiateConfig(config: any, root?: Entity, pid?: number): Entity

- - Defined in core/interpreter.ts:69

  装配树节点

  #### Parameters

  - ##### config: any

  - ##### Optional root: Entity

  - ##### Optional pid: number

  #### Returns Entity

### registerDef

- registerDef(name: string, def: any): void

- - Defined in core/interpreter.ts:21

  注册组件

  #### Parameters

  - ##### name: string

  - ##### def: any

  #### Returns void

### setGetResProxy

- setGetResProxy(func: Function): void

- - Defined in core/interpreter.ts:26

  #### Parameters

  - ##### func: Function

  #### Returns void

### setupComponent

- setupComponent(config: any, root: Entity, includeSelf?: boolean): void

- - Defined in core/interpreter.ts:121

  装配组件

  #### Parameters

  - ##### config: any

  - ##### root: Entity

  - ##### Default value includeSelf: boolean = false

  #### Returns void

### setupEntity

- setupEntity(config: any, root?: Entity, pid?: number): Entity

- - Defined in core/interpreter.ts:87

  装配实体

  #### Parameters

  - ##### config: any

  - ##### Optional root: Entity

  - ##### Optional pid: number

  #### Returns Entity

### setupScene

- setupScene(config: any, root: Entity, getResProxy: Function): void

- - Defined in core/interpreter.ts:36

  装配场景

  #### Parameters

  - ##### config: any

  - ##### root: Entity

  - ##### getResProxy: Function

  #### Returns void

### transPrefabUUID

- transPrefabUUID(uuid: any, pid: number): any

- - Defined in core/interpreter.ts:349

  #### Parameters

  - ##### uuid: any

  - ##### pid: number

  #### Returns any

Generated using TypeDoc